# tsIterator_s Struct Reference

Iterator across transaction elements, forward on install, backward on erase. More...

## Data Fields

rpmTransactionSet | ts
int | reverse
int | ocsave
int | oc

## Detailed Description

Iterator across transaction elements, forward on install, backward on erase.

Definition at line 1419 of file transaction.c.

## Field Documentation

int tsIterator_s::oc

| iterator index. Definition at line 1423 of file transaction.c.

int tsIterator_s::ocsave

| last returned iterator index. Definition at line 1422 of file transaction.c.

int tsIterator_s::reverse

| reversed traversal? Definition at line 1421 of file transaction.c.

rpmTransactionSet tsIterator_s::ts

| transaction set. Definition at line 1420 of file transaction.c.

The documentation for this struct was generated from the following file:

- lib/transaction.c